<?php

namespace Drupal\stackla_widget\Api\Tools;

/**
 * Util Class for Arrays.
 *
 * @package Stackla\Core
 */
class ArrayUtil {

  /**
   * Check if is assoc array.
   *
   * @param array $arr
   *   The array.
   *
   * @return bool
   *   Return true if $arr is an associative array
   */
  public static function isAssocArray(array $arr) {
    foreach ($arr as $k => $v) {
      if (is_int($k)) {
        return FALSE;
      }
    }

    return TRUE;
  }

}
